Søg i Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Firefox does not supporting jquery's slick function and showing error as below

  • 3 svar
  • 1 har dette problem
  • 8 visninger
  • Seneste svar af jscher2000

more options

TypeError: $(...).slick is not a function

Alle svar (3)

more options

Where to go for developer support

Also check what version of jquery you are calling.

Ændret af guigs den

more options

You can also try the version from the official Mozilla server if you currently use a version from the repositories of your Linux distribution.

Start Firefox in Safe Mode to check if one of the extensions (Firefox/Tools > Add-ons > Extensions) or if hardware acceleration is causing the problem.

  • Switch to the DEFAULT theme: Firefox/Tools > Add-ons > Appearance
  • Do NOT click the Reset button on the Safe Mode start window
more options

What site has this problem? Slick is a plugin, so perhaps the site has not implemented it correctly.

The demos on this page work for me in Firefox 39 (customized profile, so could differ from yours): http://kenwheeler.github.io/slick/

If that site doesn't work for you either, could you test in Firefox's Safe Mode? That's a standard diagnostic tool to deactivate extensions and some advanced features of Firefox. More info: Troubleshoot Firefox issues using Safe Mode.

If Firefox is not running: Hold down the Shift key when starting Firefox.

If Firefox is running: You can restart Firefox in Safe Mode using either:

  • "3-bar" menu button > "?" button > Restart with Add-ons Disabled
  • Help menu > Restart with Add-ons Disabled

and OK the restart.

Both scenarios: A small dialog should appear. Click "Start in Safe Mode" (not Refresh).

Any improvement?